Bug 1470210 - No error displayed on UI while trying to delete network or subnet which in use [NEEDINFO]
Summary: No error displayed on UI while trying to delete network or subnet which in use
Keywords:
Status: ON_DEV
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: User Experience
Version: 5.8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: GA
: 5.10.z
Assignee: Roxanne Hoover
QA Contact: Sudhir Mallamprabhakara
Red Hat CloudForms Documentation
URL:
Whiteboard: openstack:sdn
: 1512413 1540701 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-12 14:11 UTC by Ido Ovadia
Modified: 2019-10-01 03:24 UTC (History)
14 users (show)

Fixed In Version: 5.10.0.11
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Category: ---
Cloudforms Team: Openstack
slucidi: needinfo? (jhajyahy)


Attachments (Terms of Use)

Description Ido Ovadia 2017-07-12 14:11:21 UTC
Description of problem:
=======================
I tried to delete network which in use (connected to router).
There is no error message on UI. 

Version-Release number of selected component:
=============================================
5.8.1.0

How reproducible:
=================
100%

Steps to Reproduce:
===================
1. Create a network on Overcloud NM
2. Create a subnet for this network 
3. Connect the network to a router
4. browse: Networks --> Networks
5. Select the network (which created on step 1)
6. Click Configuration --> Delete this Cloud Network 
 
Actual results:
===============
No error displayed on UI, although there is an error in evm.log

Expected results:
=================
Error Should displayed on UI "Network In Use"

Additional info:
================

evm.log:
ERROR -- : MIQ(ManageIQ::Providers::Openstack::NetworkManager::CloudNetwork::Private#raw_delete_cloud_network) network=[Internal], error: Expected(204) <=> Actual(409 Conflict)
excon.error.response
  :body          => "{\"NeutronError\": {\"message\": \"Unable to complete operation on network 79034167-cd8a-426f-a456-256c3cf2dfc6. There are one or more ports still in use on the network.\", \"type\": \"NetworkInUse\", \"detail\": \"\"}}"

Comment 1 Ido Ovadia 2017-07-12 14:20:54 UTC
Same behavior with subnet

Comment 2 Tzu-Mainn Chen 2017-07-18 14:50:49 UTC
Petr, we should be adding notifications when a queued task fails; that should take care of this issue.

Comment 3 Scott Seago 2018-02-08 05:31:32 UTC
Two possible duplicates of this bug: https://bugzilla.redhat.com/show_bug.cgi?id=1540701 and https://bugzilla.redhat.com/show_bug.cgi?id=1512413

Comment 4 Scott Seago 2018-02-08 05:32:21 UTC
This bug may be irrelevant with the fix of https://bugzilla.redhat.com/show_bug.cgi?id=1539723

Networks can no longer be deleted from the list page, only from the show page (since delete only works for OpenStack networks, not for the general case)

Comment 5 Sam Lucidi 2018-02-08 16:26:36 UTC
Ido, is this bug still relevant after https://bugzilla.redhat.com/show_bug.cgi?id=1539723 is merged? It doesn't seem like it, so please let me know if it can be closed.

Comment 6 Scott Seago 2018-02-08 16:29:06 UTC
*** Bug 1512413 has been marked as a duplicate of this bug. ***

Comment 7 Scott Seago 2018-02-08 16:30:05 UTC
*** Bug 1540701 has been marked as a duplicate of this bug. ***

Comment 8 Ido Ovadia 2018-04-17 12:55:09 UTC
(In reply to Sam Lucidi from comment #5)
> Ido, is this bug still relevant after
> https://bugzilla.redhat.com/show_bug.cgi?id=1539723 is merged? It doesn't
> seem like it, so please let me know if it can be closed.



This bug reproduced on

Comment 9 Ido Ovadia 2018-04-17 12:57:03 UTC
(In reply to Sam Lucidi from comment #5)
> Ido, is this bug still relevant after
> https://bugzilla.redhat.com/show_bug.cgi?id=1539723 is merged? It doesn't
> seem like it, so please let me know if it can be closed.

The bug reproduced on network (from show page) and subnet (from show page)

Comment 11 CFME Bot 2018-08-06 18:54:58 UTC
New commit detected on ManageIQ/manageiq-providers-openstack/master:

https://github.com/ManageIQ/manageiq-providers-openstack/commit/73b72431cdcbf8592f8f19bb6a2f1565c1f1d3fe
commit 73b72431cdcbf8592f8f19bb6a2f1565c1f1d3fe
Author:     Andrei Veselov <aveselov@redhat.com>
AuthorDate: Mon Jun 11 10:44:31 2018 -0400
Commit:     Andrei Veselov <aveselov@redhat.com>
CommitDate: Mon Jun 11 10:44:31 2018 -0400

    Add delete notification for Cloud Subnet
    Fixes: https://bugzilla.redhat.com/show_bug.cgi?id=1470210

 app/models/manageiq/providers/openstack/network_manager/cloud_subnet.rb | 9 +-
 1 file changed, 7 insertions(+), 2 deletions(-)

Comment 12 Ido Ovadia 2018-08-20 11:32:15 UTC
Failed QA
==========

While trying to delete network which in use the following error is displayed:

"Delete initiated for 1 Cloud Network."

The task failed as expected, but no error displayed on UI.

Comment 16 Andrey 2018-12-05 10:04:57 UTC
Hi, Jad. Please, see comments above ^^

Comment 17 Jadh 2019-01-01 10:49:08 UTC
Tested on 5.10.0.30:

Still seeing success message of deletion:

Delete initiated for 1 Cloud Network

Comment 18 Sam Lucidi 2019-01-08 19:04:04 UTC
(In reply to Jadh from comment #17)
> Tested on 5.10.0.30:
> 
> Still seeing success message of deletion:
> 
> Delete initiated for 1 Cloud Network

"Delete initiated for 1 Cloud Network" is a normal queue message and doesn't necessarily reflect whether the event was successful. Do the error notifications eventually appear in the notification list?


Note You need to log in before you can comment on or make changes to this bug.